Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface TypeTabFilter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenPropertyTabFilter, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TypeTabFilterImpl

    public interface TypeTabFilter

extends GenPropertyTabFilter

A representation of the model object 'Type Tab Filter'.

The following features are supported:

- `Types`
- `Generated Types`

See Also:
  `GMFGenPackage.getTypeTabFilter()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<java.lang.String>` `getAllTypes()`
`org.eclipse.emf.common.util.EList<GeneratedType>` `getGeneratedTypes()` Returns the value of the 'Generated Types' attribute list.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getTypes()` Returns the value of the 'Types' attribute list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenPropertyTabFilter
`getTab`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTypes

    org.eclipse.emf.common.util.EList<java.lang.String> getTypes()

  Returns the value of the 'Types' attribute list. The list contents are of type `String`.

  If the meaning of the 'Types' attribute list isn't clear, there really should be more of a description here...

  Fully-qualified class names for selection to match

  Returns:
    the value of the 'Types' attribute list.
  See Also:
    `GMFGenPackage.getTypeTabFilter_Types()`
  ** Generated **
  Model:
    required="true"

### getGeneratedTypes

    org.eclipse.emf.common.util.EList<GeneratedType> getGeneratedTypes()

  Returns the value of the 'Generated Types' attribute list. The list contents are of type `GeneratedType`. The literals are from the enumeration `GeneratedType`.

  If the meaning of the 'Generated Types' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generated Types' attribute list.
  See Also:
    `GeneratedType`, `GMFGenPackage.getTypeTabFilter_GeneratedTypes()`
  ** Generated **
  Model:

### getAllTypes

    org.eclipse.emf.common.util.EList<java.lang.String> getAllTypes()

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.